# Introduction 
To allow for TOPdesk to send changes to BlueDolphin Integration Flows *(BIF)*,
an **Event** and an **Action Sequence** need to be set up within TOPdesk.

This repository holds the generic **Action Sequence** that should be used to set up the TOPdesk part for TOPdesk triggered Asset based *BIF*s.

# Getting Started
## Integration setup
### Steps to Install an Action Sequence in TOPdesk from a JSON File

1. **Log in to TOPdesk**:
   - Access your TOPdesk environment using as an operator your credentials.

2. **Navigate to the Action Management Module**:  
   - Go to the Modules section and select "Action Management".

3. **Create a new Asset management based Automated Action**
   - Click under 'New' on 'Automated action'
   - Click on 'Asset Management'
   - Click on 'Create action'

4. **Name the Action**
   - Click on the pencil next to the 'New action' title
   - Give it a logical name

5. **Select card types for 'Trigger 1'**
   - Click on 'Select card types'
   - Check only the one asset type you configured to propagate, like for instance 'Application'

6. **Create a trigger for creation of an asset of the given asset type**:
   - Click on 'Add another trigger'
   - Select 'When a new card has been created'
   - Click on 'Select card types'
   - Check only the one asset type you configured to propagate, like for instance 'Application'

7. **Create a trigger for updates of an asset of the given asset type**:
   - Click on 'Add another trigger'
   - Select 'When anything on a card has been changed'
   - Click on 'Select card types'
   - Check only the one asset type you configured to propagate, like for instance 'Application'

8. **Load the standard action sequence**:  
   - Click on 'Configure the action'
   - Click on 'Import an action'
   - Select the 'BlueDolphin - Propagate Asset Mutation.json'
   - Set the variables
     - Integration URL
     - TOPdesk User
     - TOPdesk API Key
   - Click on 'Finish your automated action'
   - Click the checkbox next to 'Activate action'
   - Click 'Save'
